nxsh(1)

NAME
nxsh - Simple shell containing NSF/NX interpreter

SYNOPSIS
nxsh ?fileName?

DESCRIPTION

nxsh ?fileName?
    nxsh is a shell-like application that reads NX and Tcl commands from its standard input or from fileName and evaluates them. If invoked without fileName, then it runs in REPL mode, reading commands from standard input and printing command results and error messages to standard output. It runs until the exit command is invoked or until it reaches end-of-file on its standard input.

    nxsh can be used like tclsh to make NX scripts directly invokable from the shell, by providing the following first line ("shebang") in the respective script: #! /usr/bin/env nxsh

    A (more portable) alternative is: #! /bin/sh # the next line restarts using nxsh \ exec nxsh "$0" "$@"

COPYRIGHT
Copyright (c) 2014 Stefan Sobernig <stefan.sobernig@wu.ac.at>, Gustaf Neumann <gustaf.neumann@wu.ac.at>; available under the Creative Commons Attribution 3.0 Austria license (CC BY 3.0 AT).